function [XR,TR,theta] = createMeshQ2(Nr,Ntheta) 

% This mesh was made in order to use Q2 elements for velocity

% Nr = 20 ;
% Ntheta = 10 ;

r = linspace(15,25,2*Nr+1) ; % Divide the radio into equal parts
theta_max = 10*pi/180 ;
theta = linspace(-theta_max,theta_max,2*Ntheta+1) ; % Dive the angle into equal parts

% Define the geometric shape of elements
[R,TH ] = meshgrid(r,theta) ;
X = R.*sin(TH) ;
Y = R.*cos(TH) ;

% Make an arrenge of the numeration of nodes
Node_number = 1:numel(X) ;
Node_number = reshape(Node_number,size(X)) ;

node_data = zeros(numel(X),4) ;
filename = 'nodes_trial.txt' ;

% Make a kind of table, 1stColumn = ID node second
%                       2ndColumn = X node coord
%                       3rdColumn = Y node coord
for i_node = 1:numel(X)
	node_data(i_node,:) = [Node_number(i_node) , X(i_node) , Y(i_node), 0] ;
end

% dlmwrite(filename,node_data,'\t')
% eval(['open ' filename])

ind_ele = 0 ; % Initial counter
for jj = 1:Nr
	for ii = 1:Ntheta
		ind_ele = ind_ele +1 ;
		ele_data(ind_ele,:) = [ind_ele , Node_number(2*ii+1,2*jj-1) , Node_number(2*ii+1,2*jj+1), Node_number(2*ii-1,2*jj+1),...
                               Node_number(2*ii-1,2*jj-1), Node_number(2*ii+1,2*jj) , Node_number(2*ii,2*jj+1),...
                               Node_number(2*ii-1,2*jj), Node_number(2*ii,2*jj-1), Node_number(2*ii,2*jj)];
	end
end

% filename = 'elements_trial.txt' ;
% dlmwrite(filename,ele_data,'\t') ;
% eval(['open ' filename])

XR = node_data(:,2:3) ;
TR = ele_data(:,2:end) ;

end